<?php

/**
 * Plugin Name: BRS Year
 * Plugin URI: https://www.bremersystems.eu
 * Description: Erzeugt einen Shortcode des aktuellen Jahres automatisch. Setzen Sie den Shortcode <code>[currentyear]</code> an beliebiger Stelle Ihrer Website ein.
 * Version: 1.0.2
 * Author: Karsten Bremer
 * Author URI: https://www.bremersystems.eu
 * License: GNU General Public License v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: brs-year
 * Domain Path: /l10n
**/


// If this file is called directly, abort.
if (!defined("WPINC")){
	die;
}


/**
 * Silent is golden
**/
if (!defined("BRY_EXEC")){
	define("BRY_EXEC",true);
}

/**
 * Debug
**/
if (!defined("BRY_DEBUG")){
	define("BRY_DEBUG",false);
}


/**
 * Plugin File
**/
if (!defined("BRY_FILE")){
	define("BRY_FILE",__FILE__);
}

/**
 * Plugin Path
**/
if (!defined("BRY_PATH")){
	define("BRY_PATH",dirname(__FILE__));
}

/**
 * Plugin Base URL
**/
if (!defined("BRY_URL")){
	define("BRY_URL",plugins_url("/",__FILE__));
}

/**
 * RAW PHP Codes
**/
include BRY_PATH . "/incl/php-codes/current-year.php";

/**
 * The plugin class.
**/
require BRY_PATH . "/incl/setup.php";

/** Styles **/
require BRY_PATH . "/incl/enqueue-styles.php";

/** REST-API **/
require BRY_PATH . "/incl/rest-api.php";


/**
 * Begins execution of the plugin.
**/
function run_brs_year()
{
	$plugin = new BrsYear();  
}

run_brs_year();
